/***************************************************************************
 *            confutils.h
 *
 *  Wed Aug  4 18:57:34 2004
 *  Copyright  2004  Mithun Chaubey
 *  mithun@mithunc.net
 ****************************************************************************/

/*
 *  This file is a part of Grapevine.
 *
 *  Grapevine is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _CONFUTILS_H
#define _CONFUTILS_H

#include <stdio.h>

// retrieves a single line in any section (section defined explicitly by default or custom name)
char* conf_GetVal(const char* val, const char* section, FILE* ConfFile);

// retrieves only the line in the custom section
char* conf_GetCustomVal(const char* val, const char* section, const char* executable, FILE* ConfFile);

// retreives the current value, either custom or default (section referred to by default name)
char* conf_GetGameVal(const char* val, const char* section, const char* executable, FILE* ConfFile);

// completely removes a line from explictly defined section
void conf_RemoveVal(const char* val, const char* section);

// completely removes a line from custom game section based on general name of section
void conf_RemoveCustomVal(const char* val, const char* section, const char* executable);

// sets a single custom value for a game
void conf_SetGameVal( 
	const char* newval, const char* val,
	const char* section, const char* executable);

// sets a value based on section.  doesn't create sections or anything like that
void conf_SetVal(const char* newval, const char* val, const char* section);

#endif
