/***************************************************************************
 *            winverutils.c
 *
 *  Thu Jul 29 21:57:49 2004
 *  Copyright  2004  Mithun Chaubey
 *  mithun@mithunc.net
 ****************************************************************************/

/*
 *  This file is a part of Grapevine.
 *
 *  Grapevine  is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <string.h>
#include <gtk/gtk.h>

#include "winverutils.h"

char* WinverText(gint index)
{
	switch(index){
		case WINVER_DEFAULT:
			return NULL;
		case WINVER_WIN95:
			return "win95";
		case WINVER_WIN98:
			return "win98";
		case WINVER_WINME:
			return "winme";
		case WINVER_NT351:
			return "nt351";
		case WINVER_NT40:
			return "nt40";
		case WINVER_WIN2K:
			return "win2k";
		case WINVER_WINXP:
			return "winxp";
		case WINVER_WIN20:
			return "win20";
		case WINVER_WIN30:
			return "win30";
		case WINVER_WIN31:
			return "win31";
	} // switch
	
	return NULL;
}

gint WinverIndex(char* text)
{
	if(text == NULL)
		return WINVER_DEFAULT;
	else if(strcmp(text, "win95") == 0)
		return WINVER_WIN95;
	else if(strcmp(text, "win98") == 0)
		return WINVER_WIN98;
	else if(strcmp(text, "winme") == 0)
		return WINVER_WINME;
	else if(strcmp(text, "nt351") == 0)
		return WINVER_NT351;
	else if(strcmp(text, "nt40") == 0)
		return WINVER_NT40;
	else if(strcmp(text, "win2k") == 0)
		return WINVER_WIN2K;
	else if(strcmp(text, "winxp") == 0)
		return WINVER_WINXP;
	else if(strcmp(text, "win20") == 0)
		return WINVER_WIN20;
	else if(strcmp(text, "win30") == 0)
		return WINVER_WIN30;
	else if(strcmp(text, "win31") == 0)
		return WINVER_WIN31;
	else
		return WINVER_DEFAULT;
}
